Cannot install Expo


#1

I use Macbook Pro with High Sierra with node.js v8.11.3, npm v5.6.0

When I run npm install -g expo-cli in terminal I get an error saying

> npm WARN checkPermissions Missing write access to /usr/local/lib/node_modules
> npm ERR! path /usr/local/lib/node_modules
> npm ERR! code EACCES
> npm ERR! errno -13
> npm ERR! syscall access
> npm ERR! Error: EACCES: permission denied, access '/usr/local/lib/node_modules'
> npm ERR!  { Error: EACCES: permission denied, access '/usr/local/lib/node_modules'
> npm ERR!   stack: 'Error: EACCES: permission denied, access \'/usr/local/lib/node_modules\'',
> npm ERR!   errno: -13,
> npm ERR!   code: 'EACCES',
> npm ERR!   syscall: 'access',
> npm ERR!   path: '/usr/local/lib/node_modules' }
> npm ERR! 
> npm ERR! Please try running this command again as root/Administrator.

What is wrong?


#2

I think I ran into this and used sudo.


closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.